# Yatta! API

# Class: XmlFramework

Defined in: | lib/Frameworks/XmlFramework.coffee

## Overview

Framework for Xml-like data-structures. Known values that are supported:

## Instance Method Summary

- # (?) getSharedObject()
- # (void) getConnector() Get the initialized connector.
- # (void) getHistoryBuffer()
- # (void) setMutableDefault(mutable)
- # (void) getUserId() Get the UserId from the HistoryBuffer object.
- # (void) toJson()
- # (void) val()
- # (void) on()

## Constructor Details

# (void) constructor(user_id, Connector)

### Parameters:

- user_id ( `String` ) — Unique id of the peer.
- Connector ( `Connector` ) — the connector class.

## Instance Method Details

# (?) getSharedObject()

### Returns:

- ( `?` ) — JsonType

# (void) getConnector()

Get the initialized connector.

# (void) getHistoryBuffer()

### See also:

- HistoryBuffer

# (void) setMutableDefault(mutable)

### See also:

- JsonType.setMutableDefault

# (void) getUserId()

Get the UserId from the HistoryBuffer object. In most cases this will be the same as the user_id value with which JsonFramework was initialized (Depending on the HistoryBuffer implementation).

# (void) toJson()

### See also:

- JsonType.toJson

# (void) val()

### See also:

- JsonType.val

# (void) on()

### See also:

- Operation.on

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input